
Include CSS In HTML
	- Inline Styling
	- Internal Styline
	- External CSS (recommended)
*/

/* CSS Selectors */
/* Type Selector (<tag name>) - targets elements with the specified type/tag name */
/* Universal Selector (*) - targets all elements */
* {
	font-family: "Courier New", monospace;
	font-size: 20px;
}

h1 {
	/* !important override CSS Styling */
	color: goldenrod !important;
}

/* id selector (#id) - targets elements according to its id attribute; ideally used for targeting a unique element*/
#zuitt-motto {
	letter-spacing: 5px;
}

/*Class selector (.class-name) - targets elements according to its class attribute; ideally used for multiple elements at once*/
.offering-item {
	text-transform: uppercase;
}

/*Attribute selector (tagname[attribute]) - target elements with a specified element attribute; use to target elements with a certain attribute*/
input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: blue;
}

/* Adjacent Sibling Selector */
h3 + img{
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

#bootcamp-learning-list li{
	color: #075966;
}

/* General Sibling Selector */
h2 ~ a{
	text-decoration: none;
}



/* CSS Selector Combinators */
/* Descendant Selector */

/*div p{
	background-color: red;
}*/

/*#parent p{
	background-color: red;
}*/

/* Child Selector (>)*/
/* select all elements that are direct child of a specified element */
/*div > p{
	background-color: red;
}*/

/*#parent > p{
	background-color: red;
}*/

/* General Sibling Selector (~) - select all elements that are next siblings of a specified element */
/*p ~ p{
	background-color: red;
}*/

/*p ~ section{
	background-color: red;
}*/

/* Adjacent Sibling Selector (+) - select and element that is a direct sibling of another specific element */
/*p + p{
	background-color: red;
}*/ 

/*div + p{
	background-color: red;
}